> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# User Account🔑

> Get Facebook user details

<Callout icon="key" color="#FFC107" iconType="regular">This endpoint returns the **masterID**, a unique identifier for each social account we track. It is required for other endpoints, so be sure to store it in your database for reuse.</Callout>

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "profile": {
      "masterID": "1756203716664x266794092961814000",
      "userID": "81221197163",
      "username": "Cristiano",
      "platform": "facebook",
      "url": "https://www.facebook.com/Cristiano",
      "name": "Cristiano Ronaldo",
      "image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/FB:81221197163?time=1756181607",
      "description": "Welcome to the official Facebook page of Cristiano Ronaldo.",
      "country": "global",
      "countryCode": "",
      "city": "",
      "type": "influencer",
      "gender": "m",
      "age": "30_35",
      "communityStatus": "COLLECTING",
      "isBlocked": false,
      "isClosed": false,
      "verified": true
    },
    "stats": {
      "followersCount": 171308833,
      "avgLikes": 737199,
      "avgComments": 33114,
      "avgER": 0.00456639112026712,
      "avgInteractions": 782625,
      "avgViews": 0,
      "ratingIndex": 171309453.838245,
      "qualityScore": 0.745833333333333
    },
    "lastUpdatedISO": "2025-08-26T10:21:54.943Z",
    "lastUpdated": "26-08-2025"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/facebook-user-account
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/facebook-user-account:
    get:
      tags:
        - Workflow
      description: Triggers the workflow facebook-user-account
      operationId: get_wf_facebook-user-account
      parameters:
        - name: url
          in: query
          required: true
          description: >-
            Example: `https://www.facebook.com/Cristiano` OR
            `https://www.facebook.com/81221197163`
          schema:
            type: string
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````